* MySurvey system configuration file
VERSIONDATE::14/03/2023

*******************************************************************************************
* MySurvey dynamic variables definition
* 
* <APPLICATION_PATH> 	: application path 
* <PROJECT_PATH> 	: project path that is defined by the  launch file
* <PROJECT_NAME> 	: project name that is defined in the launch file
* <PROJECT_OWNER> 	: project owner that is defined in the launch file
* <PROJECT_UUID> 	: project GUID that is defined in the launch file
* <HOSTUSER_HOMEPATH> 	: user home path from the computer's operating system ("my documents")
* <HOSTUSER_NAME> 	: Operating System User name
* <HOSTCOMPUTER_NAME> 	: Computer name
* <USER_NAME> 		: MySurvey User Login name (default is the same as OS, but may be changed by user)
* <USER_PATH> 		: complete user path for a mySurvey project (including the folders that mySurvey may add automatically)
*
* Windows environment variables samples
*
* %APPDATA% 		: this will adress the appdata\roaming folder of the user
* %LOCALAPPDATA% 	: this will adress the appdata\local folder of the user
* %PUBLIC% 			: this will adress the users\public folder (for sharing purpose ?)
*
*
* value starting with the "+" sign, means the user is not allowed to change them  
* new variable may be created by writing adding a "+" sign before the key 
*******************************************************************************************

* Application look and feel ( AERO, FAST, MCWIN, ALUMINIUM, GRAPHITE, HIFI, NOIRE, TEXTURE, NIMBUS )
LOOKANDFEELNAME::ALUMINIUM

* location of the application's log access files 
APPLICATION_ACCESSLOG_PATH::<APPLICATION_PATH>\APPLOGS\
* APPLICATION_ACCESSLOG_PATH::\\atlas.edf.fr\TE\DIPDE-DS3D1-MRS\VV.001\PARTAGES.002\_log\DIPDE

* create application's shortcut on project
CREATE_APPLICATION_SHORTCUT::true

* location of the application's shortcut 
APPLICATION_SHORTCUT_PATH::%UserProfile%\Desktop

* SUFFIX ADDED TO THE <HOST_USERNAME> TO PREVENT OVERWRITTING EXISTING USERDATA
HOSTUSERSUFFIX::

* default User name is the current logged user name. "+" sign disables the change of User's name
USER_NAME::<HOSTUSER_NAME>

* location of the user's settings 
HOSTUSER_SETTINGPATH::%APPDATA%

* location of the user's default path. 
* may be set to <PROJECT_PATH> ; otherwise the projectname will always be added
* the path will always be followed by the content of the variable 'USER_PATH_SUFFIX_INPROJECT' 
* or USER_PATH_SUFFIX_NOTINPROJECT' depending if the path inside the project or not.
* USER_BASEPATH::<HOSTUSER_HOMEPATH>
* USER_BASEPATH::+<PROJECT_PATH>
USER_BASEPATH::%LOCALAPPDATA% 

* User's path suffix when path is inside the project path
USER_PATH_SUFFIX_INPROJECT::USERSDATA\<USER_NAME>

* User's path suffix when path is outside the project path
USER_PATH_SUFFIX_NOTINPROJECT::\MYSURVEY_DATA<HOSTUSERSUFFIX>\<PROJECT_NAME>\<USER_NAME>

* location of the user's log files 
* USER_LOG_PATH::<USER_PATH>\LOGS\
* USER_LOG_PATH::\\ds3d0001\VISUALISATION\ECHANGE\_log\DIPDE

* location of the user's mySurvey attached documents path. 
USER_DOCUMENTSPATH::<USER_PATH>\DOCUMENTS\

* location of the user's default export folder 
EXPORTFOLDER_PATH::<USER_PATH>\EXPORTS\

* location of the annotations icon library path. 
ANNOTATIONFOLDER_PATH::<APPLICATION_PATH>\ANNOTATIONS\
* ANNOTATIONFOLDER_PATH::+<PROJECT_PATH>\ANNOTATIONS\

* location of the 3D model library path. 
MODELFOLDER_PATH::<APPLICATION_PATH>\MODELES3D\

* location of the sharing folder path 
SHAREFOLDER_PATH::<PROJECT_PATH>\PARTAGES\
* SHAREFOLDER_PATH::+\\atlas.edf.fr\TE\DIPDE-DS3D1-MRS\VV.001\PARTAGES.002\<palier>\PARTAGES\<PROJECT_NAME>
* SHAREFOLDER_PATH::<USER_PATH>\DOCUMENTS\<PROJECT_NAME>

* location of the subscription folder path 
SHAREFOLDERLOAD_PATH::<PROJECT_PATH>\PARTAGES\
* SHAREFOLDERLOAD_PATH::<PROJECT_PATH>\DATA\PROJECTLOAD\
* SHAREFOLDERLOAD_PATH::+\\atlas.edf.fr\TE\DIPDE-DS3D1-MRS\VV.001\PARTAGES.002\<palier>\PARTAGES\<PROJECT_NAME>
* SHAREFOLDERLOAD_PATH::<USER_PATH>\DOCUMENTS\<PROJECT_NAME>

* define the default share name. use the "+" sign to set this variable at read-only
SHAREASUSER::<USER_NAME>

* if language choice was never done show a dialog, otherwise use the system's language 
PROMPT_FORLANGUAGE::false

* at first launch for a project, display launch dialog to confirm the user name and path
PROMPT_FORNEWPROJECTLAUNCH::false

* at first launch, if no licence is found on the computer 
PROMPT_FORLICENCE::true

* if the user choose a folder that already contain data, he may be warned
WARN_USERFOLDER_EXIST::false

* only save items upon prompting the user
AUTOSAVE_TO_DATABASE::true

* prompt for save on navigation
SAVE_ON_NAVIGATION::true

*
CopylinksIntoDOCUMENTSPATH::false

*
CopylinksIntoSHAREFOLDER::false

*
loadlastUserApplicationState::true

* Define the loading of Shared Data upon the application launch. 
loadSharedDataOnLaunch::false

* Paramètre permettant de tester la version BETA de la vue en plan de type '3D ORTHO' (en remplacement de la vue standard)
USE_3D_FOR_SITEVIEW::true

* booleen déterminant le mode de sélection de couleur de groupe 
USE_JAVAFX_COLORPICKER::true

* DEMARRAGE CONDITIONNEL *
* Chemin vers le fichier dont l'existence autorise le lancement de MySurvey
CONDITIONAL_START_ONLY_IF_EXIST::
* Message et titre de la boite de dialogue à afficher à l'utilisateur dans le cas où le fichier défini par la variable CONDITIONAL_START_ONLY_IF_EXIST n'existe pas 
CONDITIONAL_NOTALLOWED_TITLE:: Lancement MySurvey non autorisé
CONDITIONAL_NOTALLOWED_TEXT:: Veuillez utiliser SMART afin d’accéder au projet.

MACRO_EXPORT_EXE:: <PROJECT_PATH>\FakeMacroEDF.exe
MACRO_EXPORT_PATH:: <PROJECT_PATH>\MacroExport\

* allow a packed group to be unpacked even if it belongs to a packed group
ALLOW_UNPACK_SUBASSEMBLY:: true

* activate MySurvey in touch panel mode (mode pupitre)
TOUCH_PANEL_MODE:: false

* autofocus of a selected object in the browser group
AUTOFOCUS::true
